// @flow

import React from 'react'
import { themr } from 'react-css-themr'
import cn from 'classnames'
import CountUp from 'components/CountUp'

export const defaultStyles = {
  root: '',
  title: '',
  value: '',
}

const StatItem = ({
  item: { title, value, footer },
  className,
  theme,
}: {
  item: TStatItem,
  className?: string,
  theme: { [key: string]: string },
}) => (
  <div className={cn(className, theme.root)}>
    <div className={theme.content}>
      <div className={theme.title}>{title}</div>
      <CountUp
        className={theme.value}
        start={0}
        separator=","
        end={value}
      />
    </div>
    {footer && (
      <div className={theme.footer}>{footer}</div>
    )}
  </div>
)

StatItem.defaultProps = {
  className: undefined,
}

export default themr('StatItem', {}, { composeTheme: 'softly' })(StatItem)
