// @flow

import React from 'react'
import { themr } from 'react-css-themr'
import cn from 'classnames'
import StatItem from 'components/StatItem'

const Stats = ({
  data,
  childrenTheme = {},
  className,
  itemClassName,
  theme,
}: {
  data: Array<TStatItem>,
  childrenTheme?: { [key: string]: string},
  className?: string,
  itemClassName?: string,
  theme: { [key: string]: string },
}) => (
  <div className={cn(className, theme.root)}>
    {data.map(item => (
      <div key={item.title} className={cn(itemClassName, theme.itemWrapper)}>
        <StatItem item={item} theme={childrenTheme} />
      </div>
    ))}
  </div>
)

Stats.defaultProps = {
  className: undefined,
  itemClassName: undefined,
  childrenTheme: {},
}

export default themr('Stats', {}, { composeTheme: 'softly' })(Stats)
