// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import { ThemeProvider } from 'react-css-themr'
import Stats from './'

const data = [
  {
    title: 'Customers',
    value: 1003,
    footer: 'Chú thích',
  },
  {
    title: 'Servers',
    value: 32,
    footer: 'Chú thích',
  },
  {
    title: 'Partners',
    value: 48,
    footer: 'Chú thích',
  },
  {
    title: 'Websites',
    value: 2012,
    footer: 'Chú thích',
  },
]

const theme = {
  StatItem: {
    root: '',
    content: 'br-100 h4 w4 ba flex flex-column items-center justify-center align-center',
    title: 'f5',
    value: 'db f2 pb2',
    footer: 'tc',
  },
  Stats: {
    root: 'pa2 flex flex-wrap',
    itemWrapper: 'w-50 w-25-ns pa2 flex justify-center',
  },
}

storiesOf('Stats', module)
  .add('default', () => (
    <ThemeProvider theme={theme}>
      <Stats
        data={data}
      />
    </ThemeProvider>
  ))
