// @flow

import React from 'react'
import { themr } from 'react-css-themr'
import { Element } from 'react-scroll'
import Section from 'components/Section'
import Stats from 'components/Stats'

const StatsSection = ({ data, theme }: {
  data: any,
  theme: { [key: string]: string },
}) => {
  const { element, title, subtitle, items } = data
  const section = (
    <Section
      className="w-100 bg-near-white"
      title={title}
      subtitle={subtitle}
      theme={theme}
    >
      <Stats
        data={items}
      />
    </Section>
  )

  if (!element) return section

  return (
    <Element name={element}>
      {section}
    </Element>
  )
}

export default themr('StatsSection', {}, { composeTheme: 'softly' })(StatsSection)
