'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ramda = require('ramda');

var _ramda2 = _interopRequireDefault(_ramda);

var _reactCssThemr = require('react-css-themr');

var _recompose = require('recompose');

var _axios = require('axios');

var _axios2 = _interopRequireDefault(_axios);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Icon = require('../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

var _Link = require('../Link');

var _Link2 = _interopRequireDefault(_Link);

var _Form = require('../Form');

var _Form2 = _interopRequireDefault(_Form);

var _SimpleMap = require('../SimpleMap');

var _SimpleMap2 = _interopRequireDefault(_SimpleMap);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var removeEmpty = _ramda2.default.pickBy(function (v) {
  return !!v;
});

var Footer = function Footer(_ref) {
  var _ref$data = _ref.data;
  _ref$data = _ref$data === undefined ? {} : _ref$data;
  var title = _ref$data.title,
      subtitle = _ref$data.subtitle,
      phone = _ref$data.phone,
      email = _ref$data.email,
      contact = _ref$data.contact,
      contacts = _ref$data.contacts,
      _ref$data$items = _ref$data.items,
      items = _ref$data$items === undefined ? [] : _ref$data$items,
      map = _ref$data.map,
      form = _ref$data.form,
      theme = _ref.theme,
      className = _ref.className,
      isThankYou = _ref.isThankYou,
      showThankYou = _ref.showThankYou;
  return _react2.default.createElement(
    'div',
    {
      'data-component': 'Footer',
      className: (0, _classnames2.default)(theme.root, className)
    },
    _react2.default.createElement(
      'div',
      { className: theme.title },
      title
    ),
    _react2.default.createElement(
      'div',
      { className: theme.subtitle },
      subtitle
    ),
    _react2.default.createElement(
      'div',
      { className: theme.phoneWrapper },
      _react2.default.createElement(
        'a',
        { className: (0, _classnames2.default)('dib link', theme.phone), href: 'tel:' + phone },
        _react2.default.createElement(_Icon2.default, { className: theme.icon, name: 'fa-phone' }),
        phone
      )
    ),
    _react2.default.createElement(
      'div',
      { className: theme.emailWrapper },
      _react2.default.createElement(
        'a',
        { className: (0, _classnames2.default)('dib link', theme.email), href: 'mailto:' + email },
        _react2.default.createElement(_Icon2.default, { className: theme.icon, name: 'fa-envelope-o' }),
        email
      )
    ),
    _react2.default.createElement(
      'div',
      { className: 'flex flex-wrap' },
      _react2.default.createElement(
        'div',
        { className: 'w-100 w-third-ns' },
        _react2.default.createElement(
          'div',
          { className: theme.header },
          'Th\xF4ng tin li\xEAn h\u1EC7'
        ),
        contact && _react2.default.createElement(
          'div',
          null,
          _react2.default.createElement(
            'div',
            { className: theme.addressHeader },
            contact.name
          ),
          _react2.default.createElement(
            'div',
            { className: theme.addressItem },
            contact.address
          ),
          _react2.default.createElement(
            'div',
            { className: theme.addressItem },
            contact.phone
          ),
          _react2.default.createElement(
            'div',
            { className: theme.addressItem },
            contact.email
          )
        ),
        contacts && contacts.map(function (item) {
          return _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
              'div',
              { className: theme.addressHeader },
              item.name
            ),
            _react2.default.createElement(
              'div',
              { className: theme.addressItem },
              item.address
            ),
            _react2.default.createElement(
              'div',
              { className: theme.addressItem },
              item.phone
            ),
            _react2.default.createElement(
              'div',
              { className: theme.addressItem },
              item.email
            )
          );
        })
      ),
      _react2.default.createElement(
        'div',
        { className: 'w-100 w-third-ns' },
        !form && _react2.default.createElement(
          'div',
          null,
          _react2.default.createElement(
            'div',
            { className: theme.header },
            'Sitemap'
          ),
          items.map(function (item) {
            return _react2.default.createElement(
              _Link2.default,
              { key: item.to, className: (0, _classnames2.default)(theme.item, theme.link), to: item.to },
              item.label
            );
          })
        ),
        form && _react2.default.createElement(
          'div',
          { className: theme.formWrapper },
          _react2.default.createElement(
            'div',
            { className: theme.formTitle },
            form.title
          ),
          _react2.default.createElement(
            'div',
            { className: theme.formSubtitle },
            form.subtitle
          ),
          isThankYou && _react2.default.createElement(
            'div',
            { className: 'fixed aspect-ratio--object z-999 flex items-center justify-center' },
            _react2.default.createElement(
              'div',
              { className: 'mw8 pa4 bg-black-50 white' },
              _react2.default.createElement(
                'span',
                { className: 'Roboto Condensed' },
                'C\xE1m \u01A1n b\u1EA1n \u0111\xE3 \u0111\u0103ng k\xFD nh\u1EADn th\xF4ng tin t\u1EA1i www.canholethanhtantao.com. Chuy\xEAn vi\xEAn t\u01B0 v\u1EA5n c\u1EE7a ch\xFAng t\xF4i s\u1EBD li\xEAn h\u1EC7 l\u1EA1i b\u1EA1n ngay.'
              )
            )
          ),
          _react2.default.createElement(_Form2.default, {
            fields: form.fields,
            submitText: form.submitText,
            theme: removeEmpty({
              root: theme.form,
              inputWrapper: theme.formInputWrapper,
              icon: theme.formIcon,
              input: theme.formInput,
              label: theme.formLabel,
              submitWrapper: theme.formSubmitWrapper,
              submit: theme.formSubmit,
              error: theme.formError
            }),
            onSubmit: function onSubmit(dataItems) {
              //  console.log(...dataItems, email, 'sssssss')
              _axios2.default.post('https://blink-api.connected.com.vn/submit', _extends({}, dataItems, {
                from: email
              })).then(function () {
                showThankYou(true);
                setTimeout(function () {
                  return showThankYou(false);
                }, 5000);
                setTimeout(function () {
                  return location.reload();
                }, 5000);
              });
            }

          })
        )
      ),
      _react2.default.createElement(
        'div',
        { className: 'w-100 w-third-ns' },
        map && _react2.default.createElement(
          'div',
          null,
          _react2.default.createElement(
            'div',
            { className: theme.header },
            'Google Map'
          ),
          _react2.default.createElement(
            'div',
            { className: 'w-100 h5' },
            _react2.default.createElement(_SimpleMap2.default, {
              markers: map.markers,
              center: map.center,
              defaultZoom: map.defaultZoom
            })
          )
        )
      )
    )
  );
};

Footer.defaultProps = {
  className: undefined
};
exports.default = (0, _recompose.compose)((0, _reactCssThemr.themr)('Footer', {}, { composeTheme: 'softly' }), (0, _recompose.withState)('isThankYou', 'showThankYou', false))(Footer);