'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _reactScroll = require('react-scroll');

var _Section = require('../Section');

var _Section2 = _interopRequireDefault(_Section);

var _Stats = require('../Stats');

var _Stats2 = _interopRequireDefault(_Stats);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var StatsSection = function StatsSection(_ref) {
  var data = _ref.data,
      theme = _ref.theme;
  var element = data.element,
      title = data.title,
      subtitle = data.subtitle,
      items = data.items;

  var section = _react2.default.createElement(
    _Section2.default,
    {
      className: 'w-100 bg-near-white',
      title: title,
      subtitle: subtitle,
      theme: theme
    },
    _react2.default.createElement(_Stats2.default, {
      data: items
    })
  );

  if (!element) return section;

  return _react2.default.createElement(
    _reactScroll.Element,
    { name: element },
    section
  );
};

exports.default = (0, _reactCssThemr.themr)('StatsSection', {}, { composeTheme: 'softly' })(StatsSection);